/*
* @Author: beyondouyuan
* @Date:   2019-04-05 14:08:35
* @Last Modified by:   beyondouyuan
* @Last Modified time: 2019-05-25 15:10:58
* @E-mail: beyondouyuan@gmail.com
* @Github: https://beyondouyuan.github.io/
* @description: 写代码就像写诗一样
* @version: 1.0.0
*/

/************************** 字体 **************************/

@font-face {
    font-family: 'webfont';
    src: url('http://at.alicdn.com/t/webfont_ud99hqag1a.eot');
    /* IE9*/
    src: url('http://at.alicdn.com/t/webfont_ud99hqag1a.eot?#iefix') format('embedded-opentype'),
        /* IE6-IE8 */
        url('http://at.alicdn.com/t/webfont_ud99hqag1a.woff') format('woff'),
        /* chrome、firefox */
        url('http://at.alicdn.com/t/webfont_ud99hqag1a.ttf') format('truetype'),
        /* chrome、firefox、opera、Safari, Android, iOS 4.2+*/
        url('http://at.alicdn.com/t/webfont_ud99hqag1a.svg#NotoSansHans-DemiLight') format('svg');
    /* iOS 4.1- */
}

body * {
    font-family: "webfont" !important;
    font-size: 16px;
    font-style: normal;
    -webkit-font-smoothing: antialiased;
    -webkit-text-stroke-width: 0.2px;
    -moz-osx-font-smoothing: grayscale;
}

img {
    pointer-events: none;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

/************************** 公共样式 **************************/
.flex-row {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    flex-direction: row;
}

.flex-column {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    flex-direction: column;
}

.flex-1 {
    flex: 1
}

.full-container {
    width: 100%;
}

.full-container .section {
    position: relative;
}

.section .section-title {
    margin: 40px 0 30px 0;
}

.section-title h2 {
    position: relative;
    text-align: center;
    font-size: 32px;
    height: 50px;
    line-height: 50px;
    font-weight: 500;
    color: #333333;
}

.section-title h2::after {
    content: "";
    position: absolute;
    width: 64px;
    height: 2px;
    bottom: -10px;
    left: 50%;
    margin-left: -32px;
    background-color: #108EE9;
    display: block;
}



.content-conatiner {
    width: 100%;
    overflow: hidden;
}

.product,
.develop,
.about {
    width: 100%;
    padding: 0 12.5%;
    padding-bottom: 100px;
    box-sizing: border-box;
}

.icon-box .iconfont {
    font-size: 64px;
    color: #108EE9;
    font-weight: 300 !important;
}

.btn .arrow-right {
    margin-left: 12px;
    font-size: 12px;
}

.header .logo-box {
    width: 120px;
    height: 42px;
    /*background: url('../images/891-logo-white.png') 0 0 no-repeat;*/
    background: url('../images/cy-1.png') 0 0 no-repeat;
    background-size: 100%;
}

.header.sticky .logo-box {
    width: 120px;
    height: 42px;
    background: url('../images/logo.png') 0 0 no-repeat;
    background-size: 100%;
}

.text-center {
    text-align: center;
}

/************************** 首屏样式 **************************/

.home {
    height: 100vh;
    position: relative;
    background-color: #0b0b23;
}

.home-official {
    width: 100%;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    padding-top: 180px;
    color: #FFFFFF;
    text-align: center;
}

.home-title {
    font-size: 36px;
}

.home-sub-title {
    margin-top: 8px;
    font-size: 22px;
}

.home-canvas {
    margin-top: 10%;
    height: 90%;
    box-sizing: border-box;
}

canvas {
    display: block;
}

.server-box {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 30px;
}

.server-box .icon-box:not(:first-child) {
    margin-left: 25px;
}

.server-box .icon-box {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}

.server-box .icon-box .iconfont {
    font-size: 28px;
    color: #FFFFFF;
    font-weight: 300 !important;
}

.icon-box .title {
    font-size: 12px;
    margin-top: 14px;
}

.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 90px;
    line-height: 90px;
    display: block;
    z-index: 980;
    transition: padding 0.4s ease;
    background-color: rgba(2, 4, 15, .2);
    border-bottom: 2px solid rgba(243, 243, 243, 0.12);
}

.header .m-nav {
    display: none;
}

.header.sticky {
    position: fixed;
    top: 0;
    background: #FFFFFF;
    width: 100%;
    box-shadow: rgba(168, 168, 168, 0.2) 0px 0px 50px;
    -webkit-transform: translateZ(0);
    visibility: visible;
    -webkit-backface-visibility: hidden;
    opacity: 1;
}

.header.fade-down {
    animation: fade-down ease-in-out .9s 0.1s both;
}


.header .nav a {
    font-size: 18px;
    color: #FFFFFF;
}

.header.sticky .nav a {
    color: #000000;
    transition: color .5s ease;
}

.header .nav a:hover {
    color: #1D8BFF
}

.nav {
    width: 75%;
    margin: 0 auto;
    align-items: center;
    justify-content: space-between;
}

.nav-list {
    width: 50%;
    align-items: center;
    justify-content: space-between;
}

@keyframes fade-down {
    from {
        background: transparent;
        top: -90px;
    }

    to {
        background: #FFFFFF;
        top: 0;
    }
}



/*.video-area,*/
video {
    position: absolute;
    right: 0px;
    bottom: 0px;
    min-width: 100%;
    min-height: 100%;
    height: auto;
    width: auto;
    /*滤镜*/
    filter: grayscale(100%);
}

source {
    min-width: 100%;
    min-height: 100%;
    height: auto;
    width: auto;
}


.text-box {
    overflow: hidden;
    min-height: 20vh;
    width: 40%;
    position: absolute;
    z-index: 1000;
    left: 50%;
    bottom: 20%;
    transform: translateX(-50%);
}

.text-box p {
    font-size: 28px;
    line-height: 1.5;
    color: #FFFFFF;
}

@keyframes top-to-bottom {
    0% {
        opacity: 0;
        transform: translateY(-100%);
    }

    100% {
        transform: translateY(0);
        opacity: 1
    }
}

@keyframes bottom-to-top {
    0% {
        transform: translateY(200%);
        opacity: 0;
    }

    100% {
        transform: translateY(0%);
        opacity: 1
    }
}

.animation-top-bottom {
    /*position: absolute;*/
    animation: top-to-bottom 1s linear
}

.animation-bottom-top {
    margin-top: 30px;
    /*position: absolute;*/
    animation: bottom-to-top 2s ease-in
}


/************************** 解决方案样式 **************************/

.mask-box {
    width: 100%;
    height: 100%;
    padding: 10px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    position: absolute;
    left: -100%;
    top: 0;
    z-index: 100;
    background-color: transparent;
    transition: all .8s;

}

.mask-box .product-text-box {
    width: 100%;
    height: 100%;
    text-align: left;
    color: #FFFFFF
}

.product-text-box .title {
    font-size: 24px;
    color: #FFFFFF;
    position: relative;
    margin-bottom: 12px;
}

.product-text-box .txt-main {
    font-size: 14px;
    color: #FFFFFF;
    line-height: 24px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    overflow: hidden;
}

.more {
    padding-top: 10px;
}

.more a {
    display: inline-block;
    cursor: pointer;
    font-size: 16px;
    color: #FFFFFF;
}

.more .more-arrow {
    font-size: 14px;
    margin-left: 8px;
}

/************************** 产品案例样式 **************************/
.product-box {
    user-select: none;
}

.product-box {
    width: 25%;
    height: auto;
    position: relative;
    overflow: hidden;
    min-height: 0;
}

.product-box img {
    display: block;
    width: 100%;
}

.product-box:hover .mask-box {
    left: 0;
    background-color: rgba(16, 142, 233, .8);
}

.product-box:not(:first-child) {
    margin-left: 10px;
}


/************************** 快速开发样式 **************************/


.develop-box {
    flex: 1;
    align-items: center;
    justify-content: center;
    border: 1px solid #DDDDDD;
    border-radius: 10px;
    min-height: 47vh;
    /*max-height: 35vh;*/
    overflow: hidden;
    position: relative;
    box-shadow: 0 2px 4px 1px rgba(0, 0, 0, 0.1);
    background-color: #fff;
    transition: border-color .3s ease-in;
}

.develop-box:not(:first-child) {
    margin-left: 20px;
}

.develop-box .develop-inner {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transition: top .3s ease-in;
    text-align: center;
}

.develop-box .icon-box {
    margin-top: 40px;
    opacity: 1;
    transition: all 0.3s 0.2s ease;
}

.develop-box .develop-title {
    padding: 20px 5px;
    font-size: 28px;
    color: #333333;
    font-weight: 400;
}

.develop-box .develop-main {
    padding: 15px 20px;
    font-size: 14px;
    color: #888888;
}

.develop-box .btn-box {
    opacity: 0;
    transition: all 0.3s 0.2s ease;
}

.develop-box .btn-box {
    margin-top: 30px;
}

.develop-box:hover {
    border-color: #108EE9;
}

.develop-box:hover .develop-inner {
    top: -104px
}

.develop-box:hover .btn-box {
    opacity: 1
}

.develop-box:hover .icon-box {
    opacity: 0
}

.btn-box .btn {
    cursor: pointer;
    display: inline-block;
    padding: 10px 60px 10px 48px;
    font-size: 16px;
    color: rgba(16, 142, 233, 1);
    text-align: center;
    border: 1px solid rgba(16, 142, 233, 1);
    border-radius: 4px;
    position: relative;
    font-weight: 300;
    background-color: #FFFFFF;
}


.develop {
    background: url(https://zos.alipayobjects.com/rmsportal/gycJvJeImieasbVbRZqk.png) no-repeat top center;
    background-size: cover;
}


/************************** 关于我们样式 **************************/
.about {
    position: relative;
    min-height: 50vh;
    padding-bottom: 0 !important;
    background: url('../images/about.png') no-repeat top center;
    background-size: cover;
}

.about-container {
    width: 100%;
    height: 100%;
    padding: 0 12.5%;
    box-sizing: border-box;
    position: absolute;
    left: 0;
    top: 0;
    /*background-color: rgba(0, 0, 0, .4);*/
    background: linear-gradient(to bottom, rgba(0, 0, 0, .1) 0%, rgba(0, 0, 0, .8) 100%);
}

.about-container .section-title h2 {
    color: #FFFFFF;
}

.about-content {
    width: 100%;
    height: 100%;
    flex-direction: column;
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    justify-content: center;
    align-items: center;
}

.article {
    text-align: justify;
}

.article p {
    font-size: 16px;
    color: #FFFFFF;
    text-indent: 2em;
    line-height: 1.8;
}

/************************** 底部样式 **************************/

.footer {
    width: 100%;
    height: auto;
    padding: 60px 12.5%;
    box-sizing: border-box;
    font-size: 14px;
    color: #F4F4F4;
    /*text-align: center;*/
    background-color: #333333;

}

.footer-logo {
    width: 200px;
    height: 200px;
    background: url('../images/logo.png') 0 0 no-repeat;
    background-size: 100%;
}

.footer .item {
    margin-top: 14px;
}

.footer a {
    color: #F4F4F4;
}

.footer-item {
    margin-top: 20px;
}

.copy-right {
    padding-top: 16px;
}

.footer .footter-contact {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.footter-contact .contact-right {
    display: -webkit-flex;
    display: -moz-flex;
    display: -ms-flex;
    display: -o-flex;
    display: flex;
}

.contact-right {
    display: flex;
    align-items: center;
    margin-top: 20px;
}
.contact-right .qrcode-img:not(:first-child) {
    margin-left: 20px;
}
.contact-right .qrcode-img .txt {
    margin-top: 12px;
    font-size: 16px;
    text-align: center;
}
.contact-right .qrcode-img img {
    width: 100px;
    height: 100px;
    border: 1px solid #F6F6F6;
}

/************************** 媒体样式-手机 **************************/

@media screen and (max-width:767px) {
    .header {
        height: 50px;
        line-height: 50px;
    }

    .header .m-nav {
        display: block;
        width: 100%;
        height: 100%;
        padding: 0 3%;
        box-sizing: border-box;
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .header .toggle-btn {
        color: #FFFFFF;
        transition: all 0.3s ease;
    }

    .header .toggle-btn.active {
        transform: rotate(90deg);
    }

    .header .logo-box {
        display: none;
    }

    .header .m-logo-box {
        width: 100px;
        height: 100%;
        /*background: url('../images/891-logo-white.png') center center no-repeat;*/
        background: url('../images/cy-1.png') center center no-repeat;
        background-size: 100%;
    }

    .header .nav {
        right: -100%;
        width: 100%;
        height: calc(100vh - 50px);
        position: absolute;
        align-items: flex-start;
        background-color: rgba(2, 4, 15, .6);
        transition: all 0.3s ease;
    }

    .header .nav a {
        font-size: 14px;
    }

    .header .nav.active {
        right: 0;
    }

    .header .nav .nav-list {
        width: 100%;
        padding: 0 20px;
        box-sizing: border-box;
        justify-content: flex-end;
    }

    .header .nav .nav-list li {
        width: 100%;
        text-align: right;
    }

    .header .nav .flex-row {
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: flex;
        -webkit-flex-direction: column;
        -moz-flex-direction: column;
        -ms-flex-direction: column;
        -o-flex-direction: column;
        flex-direction: column;
    }

    .header.sticky .m-logo-box {
        width: 100px;
        height: 100%;
        background: url('../images/logo.png') center center no-repeat;
        background-size: 100%;
    }

    .header.sticky .toggle-btn {
        color: #ff004f;
    }

    .header.sticky .nav a {
        color: #FFFFFF;
    }

    .header.sticky .nav.active {
        background-color: rgba(2, 4, 15, 1);
    }

    .home-canvas {
        display: none;
    }

    .home-official {
        height: 100%;
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: flex;
        align-items: center;
        justify-content: center;
        padding-top: 0;
        flex-direction: column;
    }

    .home-official .home-title {
        font-size: 28px;
    }

    .home-official .home-sub-title {
        font-size: 18px;
    }

    .home-official .server-box {
        flex-wrap: wrap;
        margin-top: 30px;
    }

    .server-box .icon-box:not(:first-child) {
        margin-left: 0;
    }

    .server-box .icon-box {
        width: 50%;
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        font-size: 32px;
        margin-top: 30px;
    }

    .server-box .icon-box .iconfont {
        font-size: 48px;
    }


    .content-conatiner.flex-row {
        -webkit-flex-direction: column;
        -moz-flex-direction: column;
        -ms-flex-direction: column;
        -o-flex-direction: column;
        flex-direction: column;
    }

    .section:not(:nth-of-type(1)) {
        padding: 0 3% !important;
    }

    .section .section-title {
        margin: 20px 0 20px 0
    }

    .section-title h2 {
        font-size: 28px;
        height: 40px;
        line-height: 40px;
    }

    .develop-container .develop-box {
        width: 100%;
        min-height: 40vh;
        margin-left: 0 !important;
        margin-bottom: 20px;
    }

    .develop-box .develop-inner {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        transition: top .3s ease-in;
        text-align: center;
    }

    .develop-box .icon-box .iconfont {
        font-size: 38px;
    }

    .develop-box .icon-box {
        margin-top: 20px;
        opacity: 1;
        transition: all 0.3s 0.2s ease;
    }

    .develop-box .develop-title {
        padding: 5px;
        font-size: 22px;
        color: #333333;
        font-weight: 400;
    }

    .develop-box .develop-main {
        padding: 10px 20px;
        font-size: 14px;
        color: #888888;
    }

    .develop-box .btn-box {
        opacity: 1;
        transition: all 0.3s 0.2s ease;
    }

    .develop-box .btn-box {
        margin-top: 10px;
    }

    .btn-box .btn {
        padding: 5px 30px 5px 20px;
        background-color: #FFFFFF;
    }

    .develop-box:hover {
        border-color: #108EE9;
    }

    .develop-box:hover .develop-inner {
        top: 0
    }

    .develop-box:hover .btn-box {
        opacity: 1
    }

    .develop-box:hover .icon-box {
        opacity: 1
    }

    .product {
        background-color: #F6F6F6;
    }

    .product-container .product-box {
        width: 100%;
        padding: 15px;
        box-sizing: border-box;
        margin-left: 0 !important;
        margin-bottom: 20px;
        border: 1px solid #DDDDDD;
        border-radius: 10px;
        overflow: hidden;
        position: relative;
        box-shadow: 0 2px 4px 1px rgba(0, 0, 0, 0.1);
        background-color: #fff;
    }

    .about {
        height: 70vh;
        box-sizing: border-box;
    }

    .about-content {
        height: auto;
    }

    .footer {
        padding: 20px 3%;
    }

    .about-container {
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 3% 3% !important;
    }

    .copy-right {
        padding-top: 0;
        text-align: left !important;
    }

    .footer .footter-contact {
        display: block;
    }

    .footter-contact .contact-right {
        display: -webkit-flex;
        display: -moz-flex;
        display: -ms-flex;
        display: -o-flex;
        display: flex;
    }

    .contact-right .qrcode-img {
        margin-left: 0;
        
    }

    .contact-right .qrcode-img:not(:first-child) {
        margin-left: 10px;
    }

    .contact-right .qrcode-img img {
        width: 64px;
        height: 64px
    }
    .contact-right .qrcode-img .txt {
        /* margin: 12px 0; */
        font-size: 12px;
    }
}

/************************** 媒体样式-ipad **************************/
@media only screen and (min-width:768px) and (max-width:1024px) {
    .nav {
        width: 94%
    }

    .nav-list {
        width: 60%
    }

    .product,
    .develop,
    .about {
        width: 100%;
        padding: 0 3%;
        padding-bottom: 40px;
        box-sizing: border-box;
    }

    .content-conatiner.product-container.flex-row {
        flex-wrap: wrap;
        justify-content: space-between;
    }
    
    .product-box {
        width: 48%;
        height: auto;
        margin-top: 30px;
    }
    
    
    .product-box img {
        display: block;
        width: 100%;
    }
    
    .product-box:hover .mask-box {
        left: 0;
        background-color: rgba(16, 142, 233, .8);
    }
    
    .product-box:not(:first-child) {
        margin-left: 0;
    }
    .server-box {
        margin-top: 50px;
    }
    .develop-box {
        min-height: 25vh;
    }
    
    .develop-box:not(:first-child) {
        margin-left: 15px;
    }
    
    .develop-box .develop-inner {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        transition: top .3s ease-in;
        text-align: center;
    }
    
    .develop-box .icon-box {
        margin-top: 15px;
    }
    
    .develop-box .develop-title {
        padding: 15px 5px;
    }
    
    .develop-box .develop-main {
        padding: 8px 10px;
    }
    
    
    .develop-box .btn-box {
        margin-top: 15px;
    }
    .develop-box:hover .develop-inner {
        top: -60px
    }
    .about-container {
        padding: 3%
    }
}